/*
 * Copyright (C) October 9, 2002 John Watson
 * john@flagrantdisregard.com
 * http://flagrantdisregard.com/headline
 *
 * $Id: Feed.java,v 1.5 2004/05/25 08:27:30 yafd Exp $
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/*
 * This class represents an RSS/RDF/Atom feed.  It is used for storing meta
 * information about the feed and how to access it (the URL) and it can be
 * sorted.
 */

import java.awt.Component;

public class Feed extends Component implements Comparable {
	private String name = null;
	private String url = null;
	private String description = null;
	private int index = 0;
	
	public Feed(String name, String url, String description, int index) {
		if (name != null) { this.name = name.replaceAll("\n", "").replaceAll("\t", "").trim(); }
		if (url != null) { this.url = url.replaceAll("\n", "").replaceAll("\t", "").trim(); }
		if (description != null) { this.description = description.replaceAll("\n", "").replaceAll("\t", "").trim(); }
		this.index = index;
	}
	
	public String toString() {
		return(name);
	}
	
	public String getName() {
		return(name);
	}
	
	public String getUrl() {
		return(url);
	}
	
	public String getDescription() {
		return(description);
	}
	
	public int getIndex() {
		return(index);
	}
	
	public int compareTo(Object o) {
		Feed f = (Feed)o;
		int n = name.compareToIgnoreCase(f.getName());
		if (n < 0) { return(-1); }
		if (n > 0) { return(1); }
		return(0);
	}
}

