/*
 * Copyright (C) October 9, 2002 John Watson
 * john@flagrantdisregard.com
 * http://flagrantdisregard.com/headline
 *
 * $Id: HeadlinePlugin.java,v 1.5 2004/06/22 07:32:39 yafd Exp $
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import java.util.Vector;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import org.gjt.sp.jedit.*;
import org.gjt.sp.util.Log;
import org.gjt.sp.jedit.gui.*;
import javax.swing.*;

// xml
import javax.xml.parsers.*;
import javax.xml.transform.*;
import javax.xml.transform.dom.*;
import javax.xml.transform.stream.*;
import org.w3c.dom.*;
import org.xml.sax.*;

public class HeadlinePlugin extends EditPlugin {
	public static final String NAME = "HeadlinePlugin";
	public static final String MENU = "HeadlinePlugin.menu";
	
	public static final String STORAGE_DIRECTORY = "headline";
	public static final String CACHE_DIRECTORY = "headline" + File.separator + "cache";
	public static final String STORAGE_FILENAME = "feeds.xml";
	public static final String STORAGE_BLOG_FILENAME = "blogs.xml";
	
	public static final String PROPERTY_PREFIX = "options.HeadlinePlugin.";
	public static final String PROPERTY_CACHELIFE = PROPERTY_PREFIX + "CacheLife";
	public static final String PROPERTY_TEXTLIMIT = PROPERTY_PREFIX + "TextLimit";
	public static final String PROPERTY_STRIPTAGS = PROPERTY_PREFIX + "StripTags";
	public static final String PROPERTY_DRAWBORDER = PROPERTY_PREFIX + "DrawBorder";
	public static final String PROPERTY_SORT = PROPERTY_PREFIX + "Sort";
	public static final String PROPERTY_DIVIDER = PROPERTY_PREFIX + "DividerLocation";
    
    // Used to store temporary blog post id
	public static final String PROPERTY_TEMP_BLOGSERVICE = PROPERTY_PREFIX + "BlogService";
    public static final String PROPERTY_TEMP_POSTID = PROPERTY_PREFIX + "PostId";
    
	public static final int DEFAULT_CACHELIFE = 1800;
	public static final int DEFAULT_TEXTLIMIT = 0;
	
	public void start() {
		propertiesChanged();
	}
	
	private static void propertiesChanged() {
	}
	
	public void handleMessage(EBMessage message) {
	}
}

